org.apache.xmlbeans.impl.tool

## Class Parameters

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.Parameters

    public class Parameters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Parameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getBaseDir()`
`String` `getCatalogFile()`
`File` `getClassesDir()`
`File[]` `getClasspath()`
`String` `getCompiler()`
`File[]` `getConfigFiles()`
`EntityResolver` `getEntityResolver()`
`Collection<XmlError>` `getErrorListener()`
`List<Extension>` `getExtensions()`
`File[]` `getJavaFiles()`
`Set<String>` `getMdefNamespaces()`
`String` `getMemoryInitialSize()`
`String` `getMemoryMaximumSize()`
`String` `getName()`
`File` `getOutputJar()`
`Set<XmlOptions.BeanMethod>` `getPartialMethods()`
`String` `getRepackage()`
`SchemaCodePrinter` `getSchemaCodePrinter()`
`String` `getSourceCodeEncoding()`
`File` `getSrcDir()`
`URL[]` `getUrlFiles()`
`File[]` `getWsdlFiles()`
`File[]` `getXsdFiles()`
`boolean` `isCopyAnn()`
`boolean` `isDebug()`
`boolean` `isDownload()`
`boolean` `isIncrementalSrcGen()`
`boolean` `isNoAnn()`
`boolean` `isNoExt()`
`boolean` `isNojavac()`
`boolean` `isNoPvr()`
`boolean` `isNoUpa()`
`boolean` `isNoVDoc()`
`boolean` `isQuiet()`
`boolean` `isVerbose()`
`void` `setBaseDir(File baseDir)`
`void` `setCatalogFile(String catalogPropFile)`
`void` `setClassesDir(File classesDir)`
`void` `setClasspath(File... classpath)`
`void` `setCompiler(String compiler)`
`void` `setConfigFiles(File... configFiles)`
`void` `setCopyAnn(boolean newCopyAnn)`
`void` `setDebug(boolean debug)`
`void` `setDownload(boolean download)`
`void` `setEntityResolver(EntityResolver entityResolver)`
`void` `setErrorListener(Collection<XmlError> errorListener)`
`void` `setExtensions(List<Extension> extensions)`
`void` `setIncrementalSrcGen(boolean incrSrcGen)`
`void` `setJavaFiles(File... javaFiles)`
`void` `setMdefNamespaces(Set<String> mdefNamespaces)`
`void` `setMemoryInitialSize(String memoryInitialSize)`
`void` `setMemoryMaximumSize(String memoryMaximumSize)`
`void` `setName(String name)`
`void` `setNoAnn(boolean noAnn)`
`void` `setNoExt(boolean newNoExt)`
`void` `setNojavac(boolean nojavac)`
`void` `setNoPvr(boolean noPvr)`
`void` `setNoUpa(boolean noUpa)`
`void` `setNoVDoc(boolean newNoVDoc)`
`void` `setOutputJar(File outputJar)`
`void` `setPartialMethods(Set<XmlOptions.BeanMethod> partialMethods)`
`void` `setQuiet(boolean quiet)`
`void` `setRepackage(String newRepackage)`
`void` `setSchemaCodePrinter(SchemaCodePrinter schemaCodePrinter)`
`void` `setSourceCodeEncoding(String sourceCodeEncoding)`
`void` `setSrcDir(File srcDir)`
`void` `setUrlFiles(URL... urlFiles)`
`void` `setVerbose(boolean verbose)`
`void` `setWsdlFiles(File... wsdlFiles)`
`void` `setXsdFiles(File... xsdFiles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parameters

    public Parameters()

### Method Detail

#### getBaseDir

    public File getBaseDir()

#### setBaseDir

    public void setBaseDir(File baseDir)

#### getXsdFiles

    public File[] getXsdFiles()

#### setXsdFiles

    public void setXsdFiles(File... xsdFiles)

#### getWsdlFiles

    public File[] getWsdlFiles()

#### setWsdlFiles

    public void setWsdlFiles(File... wsdlFiles)

#### getJavaFiles

    public File[] getJavaFiles()

#### setJavaFiles

    public void setJavaFiles(File... javaFiles)

#### getConfigFiles

    public File[] getConfigFiles()

#### setConfigFiles

    public void setConfigFiles(File... configFiles)

#### getUrlFiles

    public URL[] getUrlFiles()

#### setUrlFiles

    public void setUrlFiles(URL... urlFiles)

#### getClasspath

    public File[] getClasspath()

#### setClasspath

    public void setClasspath(File... classpath)

#### getOutputJar

    public File getOutputJar()

#### setOutputJar

    public void setOutputJar(File outputJar)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getSrcDir

    public File getSrcDir()

#### setSrcDir

    public void setSrcDir(File srcDir)

#### getClassesDir

    public File getClassesDir()

#### setClassesDir

    public void setClassesDir(File classesDir)

#### isNojavac

    public boolean isNojavac()

#### setNojavac

    public void setNojavac(boolean nojavac)

#### isQuiet

    public boolean isQuiet()

#### setQuiet

    public void setQuiet(boolean quiet)

#### isVerbose

    public boolean isVerbose()

#### setVerbose

    public void setVerbose(boolean verbose)

#### isDownload

    public boolean isDownload()

#### setDownload

    public void setDownload(boolean download)

#### isNoUpa

    public boolean isNoUpa()

#### setNoUpa

    public void setNoUpa(boolean noUpa)

#### isNoPvr

    public boolean isNoPvr()

#### setNoPvr

    public void setNoPvr(boolean noPvr)

#### isNoAnn

    public boolean isNoAnn()

#### getSourceCodeEncoding

    public String getSourceCodeEncoding()

#### setNoAnn

    public void setNoAnn(boolean noAnn)

#### isNoVDoc

    public boolean isNoVDoc()

#### setNoVDoc

    public void setNoVDoc(boolean newNoVDoc)

#### isNoExt

    public boolean isNoExt()

#### setNoExt

    public void setNoExt(boolean newNoExt)

#### isIncrementalSrcGen

    public boolean isIncrementalSrcGen()

#### setIncrementalSrcGen

    public void setIncrementalSrcGen(boolean incrSrcGen)

#### isDebug

    public boolean isDebug()

#### setDebug

    public void setDebug(boolean debug)

#### setSourceCodeEncoding

    public void setSourceCodeEncoding(String sourceCodeEncoding)

#### getMemoryInitialSize

    public String getMemoryInitialSize()

#### setMemoryInitialSize

    public void setMemoryInitialSize(String memoryInitialSize)

#### getMemoryMaximumSize

    public String getMemoryMaximumSize()

#### setMemoryMaximumSize

    public void setMemoryMaximumSize(String memoryMaximumSize)

#### getCompiler

    public String getCompiler()

#### setCompiler

    public void setCompiler(String compiler)

#### getErrorListener

    public Collection<XmlError> getErrorListener()

#### setErrorListener

    public void setErrorListener(Collection<XmlError> errorListener)

#### getRepackage

    public String getRepackage()

#### setRepackage

    public void setRepackage(String newRepackage)

#### isCopyAnn

    public boolean isCopyAnn()

#### setCopyAnn

    public void setCopyAnn(boolean newCopyAnn)

#### getExtensions

    public List<Extension> getExtensions()

#### setExtensions

    public void setExtensions(List<Extension> extensions)

#### getMdefNamespaces

    public Set<String> getMdefNamespaces()

#### setMdefNamespaces

    public void setMdefNamespaces(Set<String> mdefNamespaces)

#### getCatalogFile

    public String getCatalogFile()

#### setCatalogFile

    public void setCatalogFile(String catalogPropFile)

#### getSchemaCodePrinter

    public SchemaCodePrinter getSchemaCodePrinter()

#### setSchemaCodePrinter

    public void setSchemaCodePrinter(SchemaCodePrinter schemaCodePrinter)

#### getEntityResolver

    public EntityResolver getEntityResolver()

#### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)

#### getPartialMethods

    public Set<XmlOptions.BeanMethod> getPartialMethods()

#### setPartialMethods

    public void setPartialMethods(Set<XmlOptions.BeanMethod> partialMethods)